> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ワークスペースのファイルカテゴリ一覧を取得

> ワークスペースのファイルカテゴリ一覧を取得します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/category/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/category/list:
    get:
      tags:
        - ファイルカテゴリ
      summary: ワークスペースのファイルカテゴリ一覧を取得
      description: ワークスペースのファイルカテゴリ一覧を取得します
      operationId: listCategories
      parameters:
        - name: workspace_id
          in: query
          description: ワークスペース ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: page
          in: query
          description: ページ番号
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: ページサイズ
          required: false
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: enabled
          in: query
          description: |
            有効化ステータス
            - all: All
            - 1: 有効
            - 0: 無効
            - 2: 下書き
          required: false
          schema:
            type: string
            default: '1'
            enum:
              - all
              - '1'
              - '0'
              - '2'
      responses:
        '200':
          description: ワークスペースのファイルカテゴリリストを正常に取得しました
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          total:
                            type: integer
                            description: ファイルカテゴリ総数
                            example: 100
                          page:
                            type: integer
                            description: 現在のページ番号
                            example: 1
                          page_size:
                            type: integer
                            description: ページサイズ
                            example: 20
                          categories:
                            type: array
                            items:
                              $ref: '#/components/schemas/Category'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
    Category:
      type: object
      description: ファイルカテゴリ
      properties:
        id:
          type: string
          description: ファイルカテゴリ ID
          example: '1234567890'
        name:
          type: string
          description: ファイルカテゴリ名
          example: インボイス
        description:
          type: string
          description: ファイルカテゴリの説明
          example: VAT インボイスタイプ
        category_prompt:
          type: string
          description: 分類用プロンプト
          example: VAT インボイス。インボイスコード、インボイス番号などのフィールドを含みます。
        extract_model:
          type: string
          description: |
            抽出モデル
            - Auto: 抽出モデルを自動でマッチング
            - Acgpt: 高速で安定した抽出結果
            - Acgpt-VL: VLM。シンプルな抽出に適しています（≤10 ページ）
            - DF-M1: 複雑な文書理解に適しています
            - mixed: レスポンスでのみ使用され、このカテゴリ内のフィールド/テーブルで異なるモデルが使用されていることを示します
          example: Acgpt
          enum:
            - Auto
            - Acgpt
            - Acgpt-VL
            - DF-M1
            - mixed
        enabled:
          $ref: '#/components/schemas/EnabledStatus'
      required:
        - id
        - name
    EnabledStatus:
      type: integer
      description: |
        有効化ステータス
        - 0: 無効
        - 1: 有効
        - 2: 下書き
      enum:
        - 0
        - 1
        - 2
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````